> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# MLST Results

GET the structured MLST result for a single analysis — the assigned sequence type (ST), the per-locus allele calls, and the MLST scheme used.


## OpenAPI

````yaml GET /api/v1/mlsts/{id}/results
openapi: 3.1.0
info:
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  title: One Codex API (v1)
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/mlsts/{id}/results:
    get:
      summary: GET mlsts results
      operationId: get_mlsts_results
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  mlstResults:
                    properties:
                      results:
                        items:
                          properties:
                            alleles:
                              items:
                                properties:
                                  allele:
                                    title: Allele
                                    type: integer
                                  gene:
                                    title: Gene
                                    type: string
                                required:
                                  - allele
                                  - gene
                                title: _MlstAllele
                                type: object
                              title: Alleles
                              type: array
                            metadata:
                              items:
                                additionalProperties: true
                                type: object
                              title: Metadata
                              type: array
                            st:
                              title: St
                              type: integer
                          required:
                            - alleles
                            - metadata
                            - st
                          title: _MlstResult
                          type: object
                        title: Results
                        type: array
                      summary:
                        properties:
                          complete_match:
                            title: Complete Match
                            type: boolean
                          mlst:
                            anyOf:
                              - type: integer
                              - type: 'null'
                            default: null
                            title: Mlst
                          n_alleles_matched:
                            title: N Alleles Matched
                            type: integer
                          n_alleles_total:
                            title: N Alleles Total
                            type: integer
                        required:
                          - complete_match
                          - n_alleles_matched
                          - n_alleles_total
                        title: _MlstSummary
                        type: object
                    required:
                      - results
                      - summary
                    title: _MlstResults
                    type: object
                  panelResults:
                    title: Panelresults
                required:
                  - mlstResults
                  - panelResults
                title: MlstResultsResponse
                type: object
          description: OK
components:
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````